tbb::tbb_allocator< void > Class Template Reference
Memory Allocation

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <tbb_allocator.h>`

Collaboration diagram for tbb::tbb_allocator< void >:

## Classes

struct | rebind

## Public Types

typedef void * | pointer
typedef void | value_type

## Public Attributes

const typedef void * | const_pointer

## Detailed Description

### template<>
class tbb::tbb_allocator< void >

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

Definition at line 128 of file tbb_allocator.h.

## Member Typedef Documentation

## pointer

typedef void* tbb::tbb_allocator< void >::pointer

Definition at line 130 of file tbb_allocator.h.

## value_type

typedef void tbb::tbb_allocator< void >::value_type

Definition at line 132 of file tbb_allocator.h.

## Member Data Documentation

## const_pointer

const typedef void* tbb::tbb_allocator< void >::const_pointer

Definition at line 131 of file tbb_allocator.h.

The documentation for this class was generated from the following file:

- tbb_allocator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.